{
  NAPOMENE:
    Datoteka je napravljena iz podataka sa web stranica http://www.dzs.hr/
    Dravnog zavoda za statistiku. Podaci su preuzeti u Excel formatu,
    prepravljeni u CSV format te prilagoeni za primjer ovog kolskog zadatka.
    Stoga podatke ne treba smatrati pouzdanim jer su mogue pogreke u
    preureivanju, a i tip podataka (broj goveda) je namjerno prepravljen u
    Real radi vee ilustrativnosti programske problematike. Slino su i sami
    zadaci; neki su realistiki, a neki umjetni, samo radi vjebe.

    U datoteci GOVEDA.DAT nalaze se podaci o broju goveda po opcinama
    i zupanijama, u formi mjesto (40 znakova), broj goveda u tisuama
    (realni broj, na pr 4.345 znai 4345), te broj bikova (Integer).
    Ispii
          - popis svih podataka na ekran sa stankom nakon svakih 24 reda
          - popis svih mjesta koja imaju vie od 100 bikova
          - ispis podataka o mjestu s najvie goveda
          - ukupan broj goveda u Hrvatskoj
          - popis podataka u kojima je broj bikova djeljiv sa 7
          - koliko mjesta u datoteci poinje slovom "M"
          - popis mjesta kojima ime zavrava s "grad"
}
TYPE zapis=RECORD
                 mjesto: String[40];
                 brg: Real;
                 brb: Integer;
           END;
VAR
     fo: FILE OF zapis;   // deklaracija pokazivaa u datoteku
     pomz: zapis;         // pomoni zapis
     poms: String;        // pomoni string
     i,j,k,izb: Integer;  // pomone cjelobrojne varijable
PROCEDURE natpis;         // natpis koji koriste popisi podataka
VAR i: Integer;
BEGIN
  FOR i:=1 TO 75 DO Write('='); Writeln; // broj "=" odgovara zbroju formata
  Writeln('R.BR.':6,'MJESTO':45,'BROJ GOVEDA':12,'BROJ BIKOVA':12);
  FOR i:=1 TO 75 DO Write('='); Writeln;
END;
PROCEDURE popis;
BEGIN
  Writeln('POPIS SVIH MJESTA:');
  Reset(fo); i:=0; natpis; //na poetak datoteke, iniciraj broja, naslov
  WHILE NOT Eof(fo) DO BEGIN
    Read(fo,pomz); inc(i);
    Writeln(i:6,pomz.mjesto:45,pomz.brg:12:2,pomz.brb:12);
    if i mod 20=0 THEN BEGIN readln; natpis END;
  END;
END;
PROCEDURE viseod100bikova; //nastala iz procedure "popis"
BEGIN
  Writeln('POPIS MJESTA S VIE OD 100 BIKOVA:');
  Reset(fo); natpis; i:=0;
  WHILE NOT Eof(fo) DO BEGIN
    Read(fo,pomz);
    IF pomz.brb>100 THEN // ubaen uvjet
    BEGIN
     inc(i);
     Writeln(i:6,pomz.mjesto:45,pomz.brg:12:2,pomz.brb:12);
     if i mod 20=0 THEN BEGIN readln; natpis END;
    END;
  END;
END;
PROCEDURE najvisegoveda;
VAR najz: zapis; // varijabla za pamenje podataka o mjestu s najvie goveda
BEGIN
  Reset(fo); Writeln('Najvie goveda ima:'); natpis; najz.brg:=0;
  WHILE NOT Eof(fo) DO BEGIN
    Read(fo,pomz); inc(i);
    IF pomz.brg > najz.brg THEN najz:=pomz {samo promijenjen uvjet}
  END;
  Writeln(i:6,najz.mjesto:45,najz.brg:12:2,najz.brb:12);
END;
PROCEDURE ukupnogoveda;
VAR zbr: Real;
BEGIN
  Reset(fo); zbr:=0; i:=0;
  WHILE NOT Eof(fo) DO BEGIN
    Read(fo,pomz); zbr:=zbr+pomz.brg; Inc(i);
  END;
  Writeln('U Hrvatskoj ima ukupno ',zbr:10:3,' tisua goveda.');
  Writeln('Prosjeno ',zbr/i:10:3,' tisua goveda po mjestu.');
END;
PROCEDURE brbikova7;  //nastala iz procedure "viseod100bikova"
BEGIN
  Writeln('POPIS MJESTA S VIE OD 100 BIKOVA:');
  Reset(fo); natpis; i:=0;
  WHILE NOT Eof(fo) DO BEGIN
    Read(fo,pomz);
    IF pomz.brb MOD 7=0 THEN {samo promijenjen uvjet}
    BEGIN
     inc(i);
     Writeln(i:6,pomz.mjesto:45,pomz.brg:12:2,pomz.brb:12);
     if i mod 20=0 THEN BEGIN readln; natpis END;
    END;
  END;
END;
PROCEDURE mjestasM; // procedura nastal mijenjanjem procedure "popis"
BEGIN
  Writeln('POPIS MJESTA IJEI NAZIV POINJE S "M":');
  Reset(fo); natpis; i:=0;
  WHILE NOT Eof(fo) DO BEGIN
    Read(fo,pomz);
    IF pomz.mjesto[1]='M' THEN // ubaen uvjet
    BEGIN
     inc(i);
     Writeln(i:6,pomz.mjesto:45,pomz.brg:12:2,pomz.brb:12);
     if i mod 20=0 THEN BEGIN readln; natpis END;
    END;
  END;
END;
PROCEDURE mjestasaGRAD; // procedura nastala mijenjanjem procedure "mjestasM"
BEGIN
  Writeln('POPIS MJESTA IJI NAZIV ZAVRAVA S "grad":');
  Reset(fo); natpis; i:=0;
  WHILE NOT Eof(fo) DO BEGIN
    Read(fo,pomz);
    IF Pos('grad',pomz.mjesto)=length(pomz.mjesto)-3 THEN // izmijenjen uvjet
    BEGIN   // to je pogreno? ispravi pogreku i poalji mi objanjenje! JJ
     inc(i);
     Writeln(i:6,pomz.mjesto:45,pomz.brg:12:2,pomz.brb:12);
     if i mod 20=0 THEN BEGIN readln; natpis END;
    END;
  END;
END;

BEGIN
 Assign(fo,'GOVEDA.FRE'); // svi zadaci (procedure) itat e iz ove datoteke
 REPEAT
   Writeln('----------------------------------------------------------------');
   Writeln('ODABERI:'); //izbornik je nastao kopiranjem zadataka
   Writeln('1: popis svih podataka na ekran sa stankom nakon svakih 24 reda');
   Writeln('2: popis svih mjesta koja imaju vie od 100 bikova');
   Writeln('3: ispis podataka o mjestu s najvie goveda');
   Writeln('4: ukupan broj goveda u Hrvatskoj');
   Writeln('5: popis podataka u kojima je broj bikova djeljiv sa 7');
   Writeln('6: koliko mjesta u datoteci poinje slovom "M"');
   Writeln('7: popis mjesta kojima ime zavrava s "grad"');
   Writeln('0: ZAVRETAK');
   Writeln('----------------------------------------------------------------');
   Readln(izb);
   CASE izb OF
    1: popis;             //nazivi procedura podsjeaju na njihovu namjenu
    2: viseod100bikova;
    3: najvisegoveda;
    4: ukupnogoveda;
    5: brbikova7;
    6: mjestasM;
    7: mjestasaGRAD;

    END;
 UNTIL izb=0;
 Close(fo);
END.

